// =====================================================================
//  $Id: TShowAnalysisManagerCommand.cc,v 1.1.1.1 2003/06/27 02:56:41 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#include "TShowAnalysisManagerCommand.hh"
#include "TRunManager.hh"
#include "TAnalysisManager.hh"

static const Tstring _name = "/analysis/status";
static const Tstring _desc = "show information of AnalysisManager.";

TShowAnalysisManagerCommand::TShowAnalysisManagerCommand( TRunManager* runman, TAnalysisManager* anaman )
  : TCommand( runman, _name, _desc ), TAnalysisCommand( anaman )
{;}

TShowAnalysisManagerCommand::~TShowAnalysisManagerCommand()
{;}

Tvoid TShowAnalysisManagerCommand::Execute( const TstringList& arguments )
{
  theAnalysisManager -> ShowStatus();
  return;
}
